### Function Macro

# GLib UNLIKELY

since: 2.2

#### Declaration [src]

    #define G_UNLIKELY (
      expr
    )

#### Description [src]

Hints the compiler that the expression is unlikely to evaluate to a true value. The compiler may use this information for optimizations.

    if (G_UNLIKELY (random () == 1))
      g_print ("a random one");

Available since: 2.2

This function is not directly available to language bindings.

#### Parameters

`expr`

  Type: `-`

  The expression.